package cn.com.qmth.examcloud.starters.face.verify;

import org.springframework.boot.context.properties.ConfigurationProperties;

import java.io.Serializable;

/**
 * 人脸识别相关配置信息
 */
@ConfigurationProperties(prefix = "examcloud.starters.face.verify", ignoreUnknownFields = false)
public class FaceVerifyProperties implements Serializable {

    private static final long serialVersionUID = 1L;

    /*
     * Face++ API Key
     */
    private String facePlusKey;

    /*
     * Face++ API Secret
     */
    private String facePlusSecret;

    /*
     * Face++ 人脸检测接口
     */
    private String facePlusFaceDetectUrl = "https://api-cn.faceplusplus.com/facepp/v3/detect";

    /*
     * Face++ 人脸比对接口
     */
    private String facePlusFaceCompareUrl = "https://api-cn.faceplusplus.com/facepp/v3/compare";

    /*
     * 百度 是否启用AccessToken
     */
    private Boolean baiduAccessTokenEnabled = true;

    /*
     * 百度 API Key
     */
    private String baiduKey;

    /*
     * 百度 API Secret
     */
    private String baiduSecret;

    /*
     * 百度 认证接口
     */
    private String baiduTokenUrl = "https://aip.baidubce.com/oauth/2.0/token";

    /*
     * 百度 人脸检测接口
     */
    private String baiduFaceDetectUrl = "https://aip.baidubce.com/rest/2.0/face/v3/faceverify";
    // private String baiduFaceDetectUrl = "https://aip.baidubce.com/rest/2.0/face/v3/detect";

    /*
     * 百度 人脸比对接口
     */
    private String baiduFaceCompareUrl = "https://aip.baidubce.com/rest/2.0/face/v3/match";

    public String getFacePlusKey() {
        return facePlusKey;
    }

    public void setFacePlusKey(String facePlusKey) {
        this.facePlusKey = facePlusKey;
    }

    public String getFacePlusSecret() {
        return facePlusSecret;
    }

    public void setFacePlusSecret(String facePlusSecret) {
        this.facePlusSecret = facePlusSecret;
    }

    public String getFacePlusFaceDetectUrl() {
        return facePlusFaceDetectUrl;
    }

    public void setFacePlusFaceDetectUrl(String facePlusFaceDetectUrl) {
        this.facePlusFaceDetectUrl = facePlusFaceDetectUrl;
    }

    public String getFacePlusFaceCompareUrl() {
        return facePlusFaceCompareUrl;
    }

    public void setFacePlusFaceCompareUrl(String facePlusFaceCompareUrl) {
        this.facePlusFaceCompareUrl = facePlusFaceCompareUrl;
    }

    public Boolean getBaiduAccessTokenEnabled() {
        return baiduAccessTokenEnabled;
    }

    public void setBaiduAccessTokenEnabled(Boolean baiduAccessTokenEnabled) {
        this.baiduAccessTokenEnabled = baiduAccessTokenEnabled;
    }

    public String getBaiduKey() {
        return baiduKey;
    }

    public void setBaiduKey(String baiduKey) {
        this.baiduKey = baiduKey;
    }

    public String getBaiduSecret() {
        return baiduSecret;
    }

    public void setBaiduSecret(String baiduSecret) {
        this.baiduSecret = baiduSecret;
    }

    public String getBaiduTokenUrl() {
        return baiduTokenUrl;
    }

    public void setBaiduTokenUrl(String baiduTokenUrl) {
        this.baiduTokenUrl = baiduTokenUrl;
    }

    public String getBaiduFaceDetectUrl() {
        return baiduFaceDetectUrl;
    }

    public void setBaiduFaceDetectUrl(String baiduFaceDetectUrl) {
        this.baiduFaceDetectUrl = baiduFaceDetectUrl;
    }

    public String getBaiduFaceCompareUrl() {
        return baiduFaceCompareUrl;
    }

    public void setBaiduFaceCompareUrl(String baiduFaceCompareUrl) {
        this.baiduFaceCompareUrl = baiduFaceCompareUrl;
    }

}
